/* TBI: CSS Template für einfache selbst erstellte Seiten
/*      Alles entfernt was nicht benötigt wird
/*      !!!prefix: div#_cookie-banner_container bei allen Regeln benutzen!!!
/* <localhost>/css/cookiebannerstyle.js
*/
div#_cookie-banner_container,
div#_cookie-policy_container /* kann auskommentiert werden, falls die Seite geeignete styles setzt */
{ 
  --color-primary: #2e7cc5;
  font-size: 14px!important;
  font-family: sans-serif!important;
  margin: 0!important;
  padding: 0px;
  background:white;
  padding-bottom:2em;
}

div#_cookie-banner_container {
  border-style: solid;
  z-index: 10000;
  position: absolute;
  display: none;
  min-width: 90%;
  max-width: 100%;  
  padding: 2em!important;  
  top:0;
  left:5%!important;
  margin: 1em auto!important;  
  border-radius: 8px;
}

div#_cookie-banner_container label {
  font-weight: normal!important;
}

/* ---------------------------- Buttons ---------------------------- */
div#_cookie-banner_container button,
div#_cookie-policy_container button{
  background: var(--color-primary);
  border: none;
  border-radius: .2em;
  color: #fff;
  cursor: pointer;
  padding: .5rem .8em;
  height: unset!important;
  margin-right: 1.5em;
}

div#_cookie-banner_container button:disabled{
  cursor: not-allowed;
  opacity: .7;
}

div#_cookie-banner_container button[name="_cookie-banner-accept-selected"] {
  opacity: .7;
  /* soll nicht aktiviert aussehen um Alle annehmen zu bevorzugen */
}

div#_cookie-banner_container button[name="_cookie-banner-accept-selected"]:hover {
  opacity: 1;
}
div#_cookie-policy_container table {
  max-width:100%;
}
div#_cookie-policy_container table td {
  padding-left:1em;
}

/* ---------------------------- Inputs ---------------------------- */
div#_cookie-banner_container input[type=text] {
  border: 1px solid #ddd;
  border-radius: .2em;
  padding: .5em;
  width: 50%;
}

/* ---------------------------- Checkboxes ---------------------------- */
div#_cookie-banner_container label {
  padding-left: 2em;
  text-indent: -2em;
  margin-left: .5em;
  padding-top: 0.5em;
}


div#_cookie-banner_container input[type=checkbox]+label {
  cursor: pointer;
  display: inline-block;
  margin-right: .5em;
  margin-top: .5em;
}

div#_cookie-banner_container input[type=checkbox]:disabled+label {
  cursor: not-allowed;
}

div#_cookie-banner_container input[type=checkbox] {
  display: none;
}

div#_cookie-banner_container input[type=checkbox]+label:before {
  border: 1px solid #d9d9d9;
  border-radius: 100%;
  box-shadow: 0 3px 6px -3px #bbb;
  color: transparent;
  content: "\2714";
  display: inline-block;
  font-size: 13px;
  height: 18px;
  margin-right: .2em;
  text-indent: 3px;
  width: 18px;
}

div#_cookie-banner_container input[type=checkbox]:checked+label:before {
  background-color: var(--color-primary);
  border-color: var(--color-primary);
  color: #fff;
}